Bug 21882 - Add price column to acquisition details tab in staff interface
Summary: Add price column to acquisition details tab in staff interface
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-26 13:56 UTC by Susanne Jerger
Modified: 2020-11-16 21:31 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 21882: Show price information in acqusitions tab on staff detail page (2.71 KB, patch)
2020-09-23 21:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21882: Show price information in acqusitions tab on staff detail page (2.76 KB, patch)
2020-09-24 22:07 UTC, David Nind
Details | Diff | Splinter Review
Bug 21882: Show price information in acqusitions tab on staff detail page (2.83 KB, patch)
2020-10-15 13:29 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Susanne Jerger 2018-11-26 13:56:02 UTC

    
Comment 1 Katrin Fischer 2020-09-23 21:42:48 UTC
Created attachment 110632 [details] [review]
Bug 21882: Show price information in acqusitions tab on staff detail page

This adds a new 'Price' column to the acqusition details tab.

To test:
- Apply patch
- Add one or more orders for a record.
- Before closing the basket: go to the detail page in the catalog
- Verify that the price estimated/budgetet price now shows in a new column
- Add actual cost to the basket or close the basket and receive the item
- Verify the column now shows the updated actual cost
- Verfy the tooltip on the table heading works
- Verify the column configuration for the new column works as well
Comment 2 David Nind 2020-09-24 22:07:48 UTC
Created attachment 110712 [details] [review]
Bug 21882: Show price information in acqusitions tab on staff detail page

This adds a new 'Price' column to the acqusition details tab.

To test:
- Apply patch
- Add one or more orders for a record.
- Before closing the basket: go to the detail page in the catalog
- Verify that the price estimated/budgetet price now shows in a new column
- Add actual cost to the basket or close the basket and receive the item
- Verify the column now shows the updated actual cost
- Verfy the tooltip on the table heading works
- Verify the column configuration for the new column works as well

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Kyle M Hall 2020-10-15 13:29:44 UTC
Created attachment 111735 [details] [review]
Bug 21882: Show price information in acqusitions tab on staff detail page

This adds a new 'Price' column to the acqusition details tab.

To test:
- Apply patch
- Add one or more orders for a record.
- Before closing the basket: go to the detail page in the catalog
- Verify that the price estimated/budgetet price now shows in a new column
- Add actual cost to the basket or close the basket and receive the item
- Verify the column now shows the updated actual cost
- Verfy the tooltip on the table heading works
- Verify the column configuration for the new column works as well

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-11-04 12:02:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 21:31:51 UTC
enhancement will not be backported to 20.05.x